<template>
  <div id="tv-widget" ref="element" class="chart"/>
</template>

<script setup>
import {onMounted, ref} from "vue";
import {initWidget} from "@/charts/chart.js";

const element = ref()

onMounted(() => {
  const el = element.value;
  initWidget(el)
})

</script>

<style scoped lang="scss">
.chart {
  width: 100%;
  height: 100%;
}
</style>
